Skip to main content
PATCH
/
api
/
v2
/
quotations
/
{id}
Update Quotation
curl --request PATCH \
  --url https://sandbox.killb.app/api/v2/quotations/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "fromAmount": 8000,
  "toAmount": 2.5
}
'
{
  "id": "e8d74b2f-86df-43b0-a9d9-72055a6b0432",
  "fromCurrency": "COP",
  "toCurrency": "USDC",
  "fromAmount": 8000,
  "toAmount": 2.5,
  "rate": 0.0003125,
  "spotPrice": 0.00031,
  "expiresAt": 1745368688,
  "cashInMethod": "PSE",
  "cashOutMethod": "POLYGON",
  "isFastPay": false
}

Documentation Index

Fetch the complete documentation index at: https://docs.killb.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string
required

Body

application/json
fromAmount
number
required
Example:

8000

toAmount
number
required
Example:

2.5

Response

id
string
required
Example:

"e8d74b2f-86df-43b0-a9d9-72055a6b0432"

fromCurrency
enum<string>
required
Available options:
MXN,
COP,
USD,
USDC,
USDT
Example:

"COP"

toCurrency
enum<string>
required
Available options:
MXN,
COP,
USDC,
USDT,
HKD,
EUR,
USD,
PEN,
BRL,
ARS,
CLP,
CRC,
GTQ,
HNL,
NIO,
PAB,
DOP,
BOB,
GYD,
PYG,
UYU
Example:

"USDC"

fromAmount
number
required
Example:

8000

toAmount
number
required
Example:

2.5

rate
number
required
Example:

0.0003125

spotPrice
number
required
Example:

0.00031

expiresAt
number
required
Example:

1745368688

cashInMethod
enum<string>
required
Available options:
SPEI,
POLYGON,
ERC20,
PSE,
PRE_FUND,
PRE_FUND_POLYGON,
PRE_FUND_ERC20,
PRE_FUND_SOLANA,
PRE_FUND_TRON,
PRE_FUND_ARBITRUM,
TRANSFIYA,
SOLANA,
BSC,
TRON
Example:

"PSE"

cashOutMethod
enum<string>
required
Available options:
SPEI,
POLYGON,
ERC20,
PSE,
TRANSFIYA,
SOLANA,
BSC,
TRON,
WIRE,
ACH,
ACH_BO,
SPI_DO,
ACH_PA,
ACH_GT,
ACH_HN,
ACH_NI,
ACH_SV,
CCI,
COELSA,
PIX,
SINPE,
SPI,
SPI_PY,
SWIFT,
BREB
Example:

"POLYGON"

isFastPay
boolean
required

Flag to indicate if this is a fast pay quotation

Example:

false